//This file created by John Vogel's makeViews.tcl script.
//Please contact john.vogel123@gmail.com for comments or feature requests.
//
// View generation completed on 12_41_17_10_26_2010
// makeViews version: 0.11


`timescale 1ns/100ps

module toptest;


reg clk;
reg rst;


wire out1;
wire out2;

parameter CLKPERIOD = 100;



//JPV instantiating DUT
test DUT0 (
.clk(clk)
,.rst(rst)
,.out1(out1)
,.out2(out2)
);

//JPV creating clocks

initial
   begin
    #(CLKPERIOD/2) clk = 'b0;
   forever
    #(CLKPERIOD/2) clk = !clk;
   end

//JPV initializing all inputs to x then 0 then calling resets
initial
   begin
     clk='bx;
     rst='bx;
    #(CLKPERIOD/2); // all stimulus off neg edge of clock
     clk='b0;
     rst='b0;
    #(CLKPERIOD);
    resetrst; // reset DUT using rst
    //$stop;
    #(20*CLKPERIOD);
    $finish;
   end

initial
   begin
     $dumpvars(0,DUT0);
   end

//JPV reset tasks

   task resetrst ;
      begin
        #(CLKPERIOD) rst=1;
        #(CLKPERIOD) rst=0;
      end
   endtask

endmodule 
